package eu.jonahbauer.wizard.core.states.round;

import eu.jonahbauer.wizard.core.Game;
import eu.jonahbauer.wizard.core.states.GameState;
import eu.jonahbauer.wizard.core.states.GameData;

import java.util.Optional;

public final class StartingRound extends RoundState {

    public StartingRound(GameData data) {
        super(data);
    }

    @Override
    public Optional<GameState> onEnter(Game context) {
        return sync(Dealing::new);
    }
}
